Pular para o conteúdo principal
GET
/
v1
/
organizations
/
{organization_id}
/
reporting-groups
Listar grupos de relatórios
curl --request GET \
  --url https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "has_next": true,
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "organization_id": "<string>",
      "product_config_id": "<string>",
      "fishing_pattern": "<string>",
      "patch_policy_target_id": "<string>",
      "policy_reporting_group": "<string>",
      "overridden_agent_settings": {
        "remote_support": "<string>",
        "collect_device_location": true,
        "auto_update_agents": true,
        "collect_event_logs": true,
        "event_log_ids": "<string>",
        "event_logs_recurrence": 123,
        "collect_disks": true,
        "collect_services": true,
        "collect_pnp_events": true,
        "collect_public_ip": true,
        "fra_system_actions_role": "<string>",
        "unified_reporting": "<string>",
        "unified_operations": "<string>",
        "web_apps": true
      },
      "effective_agent_settings": {
        "remote_support": "<string>",
        "collect_device_location": true,
        "auto_update_agents": true,
        "collect_event_logs": true,
        "event_log_ids": "<string>",
        "event_logs_recurrence": 123,
        "collect_disks": true,
        "collect_services": true,
        "collect_pnp_events": true,
        "collect_public_ip": true,
        "fra_system_actions_role": "<string>",
        "unified_reporting": "<string>",
        "resources_report_recurrence": 123,
        "profile_storage_report_recurrence": 123,
        "sync_broker_recurrence": 123,
        "detect_new_citrix_subscriptions": true,
        "proxy_type": "<string>",
        "can_enable_flexx_agent_per_group": true,
        "web_apps": true,
        "fra_simplified_security": "<string>"
      },
      "execute_flexx_analyzer_agent": true,
      "can_manage_agent_versions": true,
      "flexx_agent_portal_download": true,
      "intermediate_device_1_id": "<string>",
      "intermediate_device_2_id": "<string>",
      "intermediate_device_3_id": "<string>"
    }
  ]
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parâmetros de caminho

organization_id
string
obrigatório

O identificador único da organização

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$

Parâmetros de consulta

page
integer

Número da página (padrão: 1)

sort
string

Campo de ordenação com sufixo de ordem opcional (:asc ou :desc). Campos de ordenação válidos: name, organization_id, product_config_id, fishing_pattern, fishing_pattern_field, patch_policy_target_id, policy_reporting_group, overridden_agent_settings., effective_agent_settings., execute_flexx_analyzer_agent, can_manage_agent_versions, intermediate_device_1_id, intermediate_device_2_id, intermediate_device_3_id. É ascendente por padrão se não for fornecido sufixo.

fields
string

Lista separada por vírgulas com campos para incluir em cada elemento de grupo de relatório. Campos selecionáveis: id, name, organization_id, product_config_id, fishing_pattern, fishing_pattern_field, patch_policy_target_id, policy_reporting_group, overridden_agent_settings, effective_agent_settings, execute_flexx_analyzer_agent, can_manage_agent_versions, flexx_agent_portal_download, intermediate_device_1_id, intermediate_device_2_id, intermediate_device_3_id. O campo id sempre é incluído.

Maximum string length: 2048
filters
string

Filtra grupos de relatório por um ou mais critérios. Fornece uma cadeia JSON com AST de filtros. Filtra por qualquer campo retornado na resposta. Para campos aninhados usa notação de ponto: overridden_agent_settings.remote_support, effective_agent_settings.remote_support, effective_agent_settings.uninstall_protection, etc. Operadores: eq, ne, gt, gte, lt, lte, in, nin, contains, startsWith, endsWith, between. Combina com and/or. Tamanho máximo: 5120 caracteres. Filtra grupos de relatório usando um objeto JSON. Especifica o campo a filtrar, o operador de comparação e o valor. Exemplo: {"field": "name", "op": "eq", "value": "Grupo de relatório 1"}

Maximum string length: 5120
Exemplo:

"{\"field\": \"name\", \"op\": \"eq\", \"value\": \"Grupo de reporte 1\"}"

per_page
integer
padrão:100

Número de itens por página

Intervalo obrigatório: 1 <= x <= 100

Resposta

Lista paginada de grupos de relatório recuperada corretamente. A resposta inclui metadados de paginação e o conjunto de dados de grupos de relatório.

has_next
boolean
obrigatório
data
object[]
obrigatório